libzypp 17.37.10

ztui::ansi Namespace Reference

## Namespaces
namespace | tty

## Classes
class | Color
| Various ways to define ansi SGR sequences. More...
class | ColorStream
| Colored stream output if do_colors. More...
class | ColorString
| Colored string if do_colors. More...
struct | ColorTraits
struct | ColorTraits< Color::Constant >
struct | ColorTraits< ztui::ColorContext >

## Functions
std::ostream & | operator<< (std::ostream &str, Color obj)
| Print the colors SGRsequence if do_colors is `true`.
std::ostream & | operator<< (std::ostream &str, const ColorString &obj)
| Print colored on ostream.